const system = require("../../../system");
const ServiceBase = require("../../svems.base")

class ProductService extends ServiceBase {
  constructor() {
    super();
  }

  async getByIds (params) {
    try {
      return await this.callms("engine_product", "getByIds", params)
    } catch (error) {
      throw error
    }
  }

  async getMapByIds (params) {
    try {
      return await this.callms("engine_product", "getMapByIds", params)
    } catch (error) {
      throw error
    }
  }

  async apiMap (params) {
    try {
      return await this.callms("engine_product", "apiMap", params)
    } catch (error) {
      throw error
    }
  }
}

module.exports = ProductService;